Subject: Re: Burundi Reporting-Not Sure If It Went Through
From: "Rachel Lewis (Project Administrator)" <[email-masked]>
To: Feedback <[email-masked]>
Date: Fri, 13 Mar 2026 18:23:18 +0000

Rachel

Rachel Lewis
Project Administrator

PO Box 501 | Forest, VA 24551
800-541-6691
worldhelp.net<https://nam02.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.worldhelp.net%2F&data=05%7C02%7Crachellewis%40worldhelp.net%7C113bd26aaaed4b0aac4d08de7a266164%7C1bdcf23c58864866a0e815d4fe106e8e%7C0%7C0%7C639082502425738104%7CUnknown%7CTWFpbGZsb3d8eyJFbXB0eU1hcGkiOnRydWUsIlYiOiIwLjAuMDAwMCIsIlAiOiJXaW4zMiIsIkFOIjoiTWFpbCIsIldUIjoyfQ%3D%3D%7C0%7C%7C%7C&sdata=%2Bc2l%2BGAL8o%2B7XtTyLk6T22jGAUT2tSW5hRGws9eLVlU%3D&reserved=0>
x. @world_help<https://nam02.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.twitter.com%2Fworld_help&data=05%7C02%7Crachellewis%40worldhelp.net%7C113bd26aaaed4b0aac4d08de7a266164%7C1bdcf23c58864866a0e815d4fe106e8e%7C0%7C0%7C639082502425756098%7CUnknown%7CTWFpbGZsb3d8eyJFbXB0eU1hcGkiOnRydWUsIlYiOiIwLjAuMDAwMCIsIlAiOiJXaW4zMiIsIkFOIjoiTWFpbCIsIldUIjoyfQ%3D%3D%7C0%7C%7C%7C&sdata=fAeQ11bt72tWag63h93RrPXYHSCbQxUIW%2BX8degh91M%3D&reserved=0>
facebook. fb.com/worldhelp<https://nam02.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.facebook.com%2Fworldhelp&data=05%7C02%7Crachellewis%40worldhelp.net%7C113bd26aaaed4b0aac4d08de7a266164%7C1bdcf23c58864866a0e815d4fe106e8e%7C0%7C0%7C639082502425773500%7CUnknown%7CTWFpbGZsb3d8eyJFbXB0eU1hcGkiOnRydWUsIlYiOiIwLjAuMDAwMCIsIlAiOiJXaW4zMiIsIkFOIjoiTWFpbCIsIldUIjoyfQ%3D%3D%7C0%7C%7C%7C&sdata=wubo76aWELUdZ2%2FEAUO3%2Ff%2BnJ0cjeBy7VpGIdUcFvlQ%3D&reserved=0>
instagram. @world_help<https://nam02.safelinks.protection.outlook.com/?url=https%3A%2F%2Finstagram.com%2Fworld_help&data=05%7C02%7Crachellewis%40worldhelp.net%7C113bd26aaaed4b0aac4d08de7a266164%7C1bdcf23c58864866a0e815d4fe106e8e%7C0%7C0%7C639082502425790670%7CUnknown%7CTWFpbGZsb3d8eyJFbXB0eU1hcGkiOnRydWUsIlYiOiIwLjAuMDAwMCIsIlAiOiJXaW4zMiIsIkFOIjoiTWFpbCIsIldUIjoyfQ%3D%3D%7C0%7C%7C%7C&sdata=LzOBju%2FsimXmst5TtBfgs%2FKD00vyE6p41umms%2BjjYgw%3D&reserved=0>

Help meet someone's most urgent needs.
Every $12 helps rescue one person.<https://nam02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fworldhelp.net%2Fdonate%2F&data=05%7C02%7Crachellewis%40worldhelp.net%7C113bd26aaaed4b0aac4d08de7a266164%7C1bdcf23c58864866a0e815d4fe106e8e%7C0%7C0%7C639082502425807729%7CUnknown%7CTWFpbGZsb3d8eyJFbXB0eU1hcGkiOnRydWUsIlYiOiIwLjAuMDAwMCIsIlAiOiJXaW4zMiIsIkFOIjoiTWFpbCIsIldUIjoyfQ%3D%3D%7C0%7C%7C%7C&sdata=WL47hNBDDZvESoFG4pNJZJ2E7L0vamWZhkf%2BV3WSd8E%3D&reserved=0>

From: Rachel Lewis (Project Administrator) <[email-masked]>
Date: Friday, March 13, 2026 at 14:20
To: Feedback <[email-masked]>
Subject: Burundi Reporting-Not Sure If It Went Through

Hi hi!

I don’t know if this reporting went through or not because I did not receive a confirmation, but here is one story from a recent shipment to Burundi!

Why Were The Items Distributed Here? What Are The Greatest Needs In This Community?

THIS CONTAINER WAS ENTIRELY DONATED TO THE RUTANA ( CISHEMERE) REFUGEE

CAMP BECAUSE OF THE HUGE FOOD NEED THE REFUGEES WERE IN AND THE NUMBERS

OF THE REFUGEES WERE HIGH.

Name

Paula Dorcas Muzibwa

Age

56

Genderfemale

Occupation

None

Family Size

6

What Was The Crisis And When Did It Take Place?

The conflict in eastern DRC has been going on for many years but Paula and her spouse have been

in the camp since Early 2025

Describe The Types Of Needs This Individual Has.

Apart from food, The main need of this family was health care assistance as the children were often

sick.

How Did This Donation Meet These Needs And Make A Lasting Impact?

YWAM Rice donation to the camp has Brough a long lasting impact to the feeding program of this

camp to a tangible level as they spent months using the Rice container we gave them. Which was

even a break to the camp responsibilities to look for food support to the people they serve.Please Provide A Quote From The Individual About How They Feel After Receiving This

Donation.

We left everything we had behind and we fled our home with nothing. We are now here suffering.

We only get 5kg of maize flower, 1.8kg of peas and 1 cup of oil per person per month. My wife's

father died while we were running for our lives. I do not plan to go back to Congo. I want to start a

new fresh life in Burundi but I don't have any means for that. However, we are truly grateful for this

donation today! We are happy someone remembered us and we pray that many more like you may

be coming to assist us. This gift will help us live a better life for a few weeks. Thank you! " - Paula's

husband (Paula can barely speak).

Rachel

Rachel Lewis
Project Administrator

PO Box 501 | Forest, VA 24551
800-541-6691
worldhelp.net<https://nam02.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.worldhelp.net%2F&data=05%7C02%7Crachellewis%40worldhelp.net%7C113bd26aaaed4b0aac4d08de7a266164%7C1bdcf23c58864866a0e815d4fe106e8e%7C0%7C0%7C639082502425738104%7CUnknown%7CTWFpbGZsb3d8eyJFbXB0eU1hcGkiOnRydWUsIlYiOiIwLjAuMDAwMCIsIlAiOiJXaW4zMiIsIkFOIjoiTWFpbCIsIldUIjoyfQ%3D%3D%7C0%7C%7C%7C&sdata=%2Bc2l%2BGAL8o%2B7XtTyLk6T22jGAUT2tSW5hRGws9eLVlU%3D&reserved=0>
x. @world_help<https://nam02.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.twitter.com%2Fworld_help&data=05%7C02%7Crachellewis%40worldhelp.net%7C113bd26aaaed4b0aac4d08de7a266164%7C1bdcf23c58864866a0e815d4fe106e8e%7C0%7C0%7C639082502425756098%7CUnknown%7CTWFpbGZsb3d8eyJFbXB0eU1hcGkiOnRydWUsIlYiOiIwLjAuMDAwMCIsIlAiOiJXaW4zMiIsIkFOIjoiTWFpbCIsIldUIjoyfQ%3D%3D%7C0%7C%7C%7C&sdata=fAeQ11bt72tWag63h93RrPXYHSCbQxUIW%2BX8degh91M%3D&reserved=0>
facebook. fb.com/worldhelp<https://nam02.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.facebook.com%2Fworldhelp&data=05%7C02%7Crachellewis%40worldhelp.net%7C113bd26aaaed4b0aac4d08de7a266164%7C1bdcf23c58864866a0e815d4fe106e8e%7C0%7C0%7C639082502425773500%7CUnknown%7CTWFpbGZsb3d8eyJFbXB0eU1hcGkiOnRydWUsIlYiOiIwLjAuMDAwMCIsIlAiOiJXaW4zMiIsIkFOIjoiTWFpbCIsIldUIjoyfQ%3D%3D%7C0%7C%7C%7C&sdata=wubo76aWELUdZ2%2FEAUO3%2Ff%2BnJ0cjeBy7VpGIdUcFvlQ%3D&reserved=0>
instagram. @world_help<https://nam02.safelinks.protection.outlook.com/?url=https%3A%2F%2Finstagram.com%2Fworld_help&data=05%7C02%7Crachellewis%40worldhelp.net%7C113bd26aaaed4b0aac4d08de7a266164%7C1bdcf23c58864866a0e815d4fe106e8e%7C0%7C0%7C639082502425790670%7CUnknown%7CTWFpbGZsb3d8eyJFbXB0eU1hcGkiOnRydWUsIlYiOiIwLjAuMDAwMCIsIlAiOiJXaW4zMiIsIkFOIjoiTWFpbCIsIldUIjoyfQ%3D%3D%7C0%7C%7C%7C&sdata=LzOBju%2FsimXmst5TtBfgs%2FKD00vyE6p41umms%2BjjYgw%3D&reserved=0>

Help meet someone's most urgent needs.
Every $12 helps rescue one person.<https://nam02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fworldhelp.net%2Fdonate%2F&data=05%7C02%7Crachellewis%40worldhelp.net%7C113bd26aaaed4b0aac4d08de7a266164%7C1bdcf23c58864866a0e815d4fe106e8e%7C0%7C0%7C639082502425807729%7CUnknown%7CTWFpbGZsb3d8eyJFbXB0eU1hcGkiOnRydWUsIlYiOiIwLjAuMDAwMCIsIlAiOiJXaW4zMiIsIkFOIjoiTWFpbCIsIldUIjoyfQ%3D%3D%7C0%7C%7C%7C&sdata=WL47hNBDDZvESoFG4pNJZJ2E7L0vamWZhkf%2BV3WSd8E%3D&reserved=0>